/******************************************************************************************/
/******************************************************************************************/
/*                                                                                        */
/* Trigger: DTULTATU_CTBLBEMATIVO                                                         */
/* Tabela : CTBLBEMATIVO                                                                  */
/*                                                                                        */
/* Criao:                                                                               */
/* 01/06/2009 - Andr Rodrigo                                                             */
/*                                                                                        */
/******************************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_CTBLBEMATIVO
BEFORE INSERT OR UPDATE OR DELETE
ON CTBLBEMATIVO FOR EACH ROW
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('CTBLBEMATIVO', '', 'CDEMPRESA='||:OLD.CDEMPRESA||
                                                   'CDBEMATIVO='||:OLD.CDBEMATIVO||
                                                   'CDTIPOCONTABEM='||:OLD.CDTIPOCONTABEM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CTBLBEMATIVO MODIFY DTULTATU DEFAULT SYSDATE
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_CTBLBEMATIVO','5.05.119'); END;
/
